<!--<?php
include_once PrintEot('left');
print <<<EOT
-->
<h3>提示信息</h3>
<div class="tr5"><ul><li>頭部橫幅廣告︰顯示在頁面的頭部，一般以圖片或flash方式顯示，多條頭部橫幅廣告時系統將隨機選取一條顯示</li>
<li>導航通欄廣告︰顯示在頭部導航的下面，一般以圖片或flash方式顯示，多條底部橫幅廣告時系統將隨機選取一條顯示</li>
<li>底部橫幅廣告︰顯示在頁面的底部，一般以圖片或flash方式顯示，多條底部橫幅廣告時系統將隨機選取一條顯示</li>
<li>樓層廣告︰出現在帖子及首頁樓層間，一般以圖片或flash方式顯示，多條帖間廣告時系統將隨機選取一條顯示</li>
<li>文字廣告︰顯示在頁面的頭部，一般以文字方式顯示，每行四條廣告，超過四條將換行顯示</li>
<li>浮動廣告︰以各種形式在頁面內漂浮的廣告，分為左漂浮，右漂浮，隨機漂浮</li>
<li>彈窗廣告︰在頁面右下角以浮動的層顯示的廣告內容，建議該廣告內容設置為Window，否則可能出現JS錯誤</li>
<li>另只有右下彈窗會根據Window廣告類型的自動消失時間消失，其他廣告不會自動消失</li>
<li><b>出租廣告位︰</b>點擊出租廣告位的描述即可進行審核操作</li>
</ul></div>
<!--
EOT;
if(!$job){print <<<EOT
-->
<ul class="nav3">
	<li><a href="$basename&action=advert" class="two">廣告管理</a></li>
	<li><a href="$basename&action=advert&job=add">添加廣告</a></li>
</ul>
<div class="c"></div>
<form action="$basename" method="post">
<h2>搜索</h2>
<table width="100%" cellspacing="0" cellpadding="0">
	<tr class="tr3">
		<td>
			廣告類型︰ <select name="varname">
				<option></option>
				<option value="header">頭部橫幅</option>
				<option value="navbanner">導航通欄</option>
				<option value="footer">底部橫幅</option>
				<option value="text">文字廣告</option>
				<option value="article">樓層廣告</option>
				<option value="leftfloat">對聯廣告[左]</option>
				<option value="rightfloat">對聯廣告[右]</option>
				<option value="float">漂浮廣告</option>
				<option value="popup">右下彈窗</option>
			</select>
		</td>
		<td>關鍵字︰<input type="text" class="input" name="keyword" /></td>
		<td width="45%"><input type="submit" class="btn" value=" 確定 " /></td>
	</tr>
</table></form>
<br />
<form method="post" action="$basename&action=advert&job=del&">
<h2>廣告管理</h2>
<table width="100%" cellspacing="0" cellpadding="0">
	<tr class="tr3 tac s3">
		<td width="5%">啟用</td>
		<td width="5%">順序</td>
		<td width="15%">廣告類型</td>
		<td width="25%">廣告描述</td>
		<td width="12%">結束時間</td>
		<td>投放範圍</td>
		<td width="7%">出租位</td>
		<td width="5%" class="tal">編輯</td>
		<td width="5%">刪除</td>
	</tr>
<!--
EOT;
foreach ($moduledb as $key => $value) {
	$state = $value['state'] ? 'checked' : '';
	$area='';
	foreach ($value['fid'] as $k => $v) {
		if ($v == '-5') {
			$area .= '頻道頁面 ';
		}elseif ($v == '-4') {
			$area .= '所有頁面 ';
		} elseif ($v == '-3') {
			$area .= '帖子頁面 ';
		} elseif ($v == '-2') {
			$area .= '主題列表頁面 ';
		} elseif ($v == '-1') {
			$area .= '首頁 ';
		} elseif (is_numeric($v)) {
			$area .= $forum[$v][name].' ';
		}
	}
print <<<EOT
-->
	<tr class="tr3 tac">
		<td>
			<input type="checkbox" name="applyid[]" value="$value[id]" $state />
			<input type="hidden" name="allid[]" value="$value[id]" />
		</td>
		<td>$value[vieworder]</td>
		<td>$value[varname]</td>
		<td>$value[title]</td>
		<td>$value[endtime]</td>
		<td>$area</td>
<!--
EOT;
if($value['ifhire']){print <<<EOT
-->
		<td><font color="red">是</font>
<!--
EOT;
if($value['ifhavebuy']){print<<<EOT
-->
	<a href="$basename&job=check&id=$value[id]">[審]</a>
<!--
EOT;
}print<<<EOT
-->
</td>
<!--
EOT;
}else{print <<<EOT
-->
		<td>否</td>
<!--
EOT;
}print <<<EOT
-->
		<td><a class="fourm-two" href="$basename&action=advert&job=edit&id=$value[id]" title="編輯"><span class="edit"></span></a></td>
		<td><input type="checkbox" name="selid[]" value="$value[id]"></td>
	</tr>
<!--
EOT;
}print <<<EOT
-->
</table>$pages
<br>
<center><input type="submit" class="btn" value="提 交"></center>
</form>
<br>
<!--
EOT;
}elseif($job=='add' || $job=='edit'){print <<<EOT
-->
<ul class="nav3">
	<li><a href="$basename&action=advert">廣告管理</a></li>
	<li><a href="$basename&action=advert&job=add" class="two">添加廣告</a></li>
</ul>
<div class="c"></div>
<script language="JavaScript" src="js/date.js"></script>
<form method="post" name="FORM" action="$basename&action=advert&job=$job&">
<input type="hidden" name="step" value="2">
<input type="hidden" name="id" value="$id">
<h2>添加廣告</h2>
<table width="100%" cellspacing="0" cellpadding="0">
	<tr class="tr3">
		<td width="15%"><b>是否為出租廣告位</b></td>
		<td><input type="radio" id="ifhire_1" name="ifhire" value="1" onClick="hireChange(this.value);" $ifhire_Y />是<input type="radio" id="ifhire_0" name="ifhire" value="0" onClick="hireChange(this.value);" $ifhire_N />否</td>
	</tr>
	<tbody id="hireinfo" style="display:none;">
	<tr class="tr3">
		<td width="15%"><b>價格︰(每天)*</b></td>
		<td class="b"><input type="text" class="input" name="module[price]" value="$config[price]" size="5" /> <select name="module[creditype]">$CreditList</select></td>
	</tr>
	<tr class="tr3">
		<td width="15%"><b>廣告位管理者</b></td>
		<td class="b"><input type="text" class="input" name="module[operator]" value="$config[operator]" /> (當有用戶申請該廣告位時，將發送短消息通知該管理者，多個管理用“,”分開)</td>
	</tr>
	</tbody>
	<tr class="tr3">
		<td width="15%"><b>顯示順序</b></td>
		<td><input type="text" class="input" name="vieworder" value="$rt[vieworder]" size="5"></td>
	</tr>
	<tr class="tr3">
		<td><b>廣告標識符</b></td>
		<td>
<!--
EOT;
${'tmp_'.$rt[varname]} = 'SELECTED';
print <<<EOT
-->
			<select onchange="seladtype(this.value)">
				<option>請選擇您的廣告類型</option>
				<option value="header" $tmp_header >頭部橫幅</option>
				<option value="navbanner" $tmp_navbanner >導航通欄</option>
				<option value="footer" $tmp_footer >底部橫幅</option>
				<option value="text"  $tmp_text >文字廣告</option>
				<option value="article"  $tmp_article >樓層廣告</option>
				<option value="leftfloat"  $tmp_leftfloat >對聯廣告[左]</option>
				<option value="rightfloat"  $tmp_rightfloat >對聯廣告[右]</option>
				<option value="float"  $tmp_float >漂浮廣告</option>
				<option value="popup" $tmp_popup >右下彈窗</option>
<!--
EOT;
foreach($adtype as $key=>$val){
$tmpSel = ${'tmp_'.$val[varname]};
print <<<EOT
-->
				<option value="$val[varname]" $tmpSel>$val[title]</option>
<!--
EOT;
}print <<<EOT
-->
			</select>
			<input type="text" class="input" size="20" id="varname" name="varname" value="$rt[varname]">
		</td>
	</tr>
	<tr class="tr3">
		<td><b>展現方式</b></td>
		<td>
			<select id="adstyle" name="module[style]" onchange="showcode(this.options[this.selectedIndex].value)">
				<option value="txt" $style_txt>文字</option>
				<option value="img" $style_img>圖片</option>
				<option value="flash" $style_flash>Flash</option>
				<option value="code" $style_code>代碼</option>
			</select>
		</td>
	</tr>
	<tr class="tr3">
		<td><b>開始時間</b> - <b>結束時間</b></td>
		<td><input type="text" class="input" size="19" name="module[starttime]" id="starttime" value="$config[starttime]" onClick="ShowCalendar(this.id);" > - <input type="text" class="input" size="20" name="module[endtime]" id="endtime" value="$config[endtime]" onClick="ShowCalendar(this.id);" > 格式︰yyyy-mm-dd</td>
	</tr>
	<tr class="tr3">
		<td colspan="2">
		<div id="window" style="display:none;" disabled>
			<table width="100%" cellspacing="0" cellpadding="0">
				<tr><td colspan="2">窗口設置</td></tr>
				<tr>
					<td width="30%"><b>窗口標題</b></td>
					<td><input type="text" class="input" name="title" size="40" value="$rt[title]"></td>
				</tr>
				<tr>
					<td><b>窗口高度</b></td>
					<td><input type="text" class="input" name="module[height]" size="10" value="$config[height]"></td>
				</tr>
				<tr>
					<td><b>窗口寬度</b></td>
					<td><input type="text" class="input" name="module[width]" size="10" value="$config[width]"></td>
				</tr>
				<tr>
					<td><b>自動關閉時間</b></td>
					<td><input type="text" class="input" name="module[close]" size="10" value="$config[close]">秒</td>
				</tr>
			</table>
			<br />
		</div>
		</td>
	</tr>
	<tr class="tr3">
		<td colspan="2"><div id='advert'></div></td>
	</tr>
	<tr class="tr3">
		<td><b>投放範圍</b></td>
		<td><select name="selids[]" size="16" style="margin:2px;" multiple>
			<option value="-4" $selids_04>>> 所有頁面 </option>
			<option value="-1" $selids_01>>> 首頁 </option>
			<option value="-5" $selids_05>>> 頻道頁面</option>
			<option value="-2" $selids_02>>> 主題列表頁面</option>
			<option value="-3" $selids_03>>> 帖子頁面</option>
			<option value=""></option>
			$forumcache
		</select>
		</td>
	</tr>
	<tbody id="article" style="display:none">
	<tr class="tr3">
		<td><b>投放樓層</b></td>
		<td><select name="lou[]" size="8" style="margin:2px;" multiple>
		<option value="-1" $lou_01>&nbsp;&raquo; 全部&nbsp;</option><option value=""></option>
<!--
EOT;
for($i=1;$i<=$db_readperpage;$i++){
print <<<EOT
-->
		<option value="$i" ${'lou_'.$i}>&nbsp;&raquo; #{$i}
<!--
EOT;
}print <<<EOT
-->
		</select></td>
	</tr>
	<tr class="tr3">
		<td><b>投放位置</b></td>
		<td>
			<input name="module[position]" type="radio" value='1' $pst_1 />帖子右側
			<input name="module[position]" type="radio" value='2' $pst_2 />帖子下方
			<input name="module[position]" type="radio" value='5' $pst_5 />帖子上方
			<input name="module[position]" type="radio" value='3' $pst_3 />帖子之間
			<input name="module[position]" type="radio" value='4' $pst_4 />首頁分類之間
		</td>
	</tr></tbody>
</table>
<br>
<center><input type="submit" class="btn" value="提 交"></center>
</form><br />

<div id="code" style="display:none;" disabled>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3"><td colspan="2"><b>代碼</b></td></tr>
		<tr class="tr3">
			<td><b>廣告描述:</b></td>
			<td><input type="text" class="input" size="43" name="title" value="$rt[title]"> 廣告信息描述，並不在前台顯示</td>
		</tr>
		<tr class="tr3">
			<td width="30%"><b>廣告代碼:</b><br>請填寫廣告代碼，支持html代碼</td>
			<td><textarea name="module[htmlcode]" rows="5" cols="50">$config[htmlcode]</textarea></td>
		</tr>
	</table>
</div>
<div id="txt" style="display:none;" disabled>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3"><td colspan="2"><b>文字</b></td></tr>
		<tr class="tr3">
			<td width="30%"><b>文字內容*</b></td>
			<td><input type="text" class="input" size="70" name="module[title]" value="$config[title]"></td>
		</tr>
		<tr class="tr3">
			<td><b>文字鏈接*</b></td>
			<td><input type="text" class="input" size="70" id="txtlink" name="module[link]" value="$config[link]"></td>
		</tr>
		<tr class="tr3">
			<td><b>文字顏色</b> ( 例如:red 或則 #EF8684 )</td>
			<td><input type="text" class="input" size="10" name="module[color]" value="$config[color]"></td>
		</tr>
		<tr class="tr3">
			<td><b>文字大小</b> ( 例如: 4px 或則 12px )</td>
			<td><input type="text" class="input" size="10" name="module[size]" value="$config[size]"></td>
		</tr>
	</table>
</div>
<div id="img" style="display:none;" disabled>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3"><td colspan="2"><b>圖片</b></td></tr>
		<tr class="tr3">
			<td><b>廣告描述*</b></td>
			<td><input type="text" class="input" size="43" name="title" value="$rt[title]"> 廣告信息描述，並不在前台顯示</td>
		</tr>
		<tr class="tr3">
			<td width="30%"><b>圖片地址*</b></td>
			<td><input type="text" class="input" size="40" name="module[url]" value="$config[url]"></td>
		</tr>
		<tr>
			<td><b>圖片鏈接*</b></td>
			<td><input type="text" class="input" size="40" id="imglink" name="module[link]" value="$config[link]"></td>
		</tr>
		<tr class="tr3">
			<td><b>圖片寬度</b></td>
			<td><input type="text" class="input" size="10" name="module[width]" value="$config[width]"></td>
		</tr>
		<tr class="tr3">
			<td><b>圖片高度</b></td>
			<td><input type="text" class="input" size="10" name="module[height]" value="$config[height]"></td>
		</tr>
		<tr class="tr3">
			<td><b>圖片描述</b></td>
			<td><input type="text" class="input" size="40" name="module[descrip]" value="$config[descrip]"></td>
		</tr>
	</table>
</div>
<div id="flash" style="display:none;" disabled>
	<table width="100%" cellspacing="0" cellpadding="0">
		<tr class="tr3 s3"><td colspan="2"><b>flash</b></td></tr>
		<tr class="tr3">
			<td><b>廣告描述:</b></td>
			<td><input type="text" class="input" size="43" name="title" value="$rt[title]"> 廣告信息描述，並不在前台顯示</td>
		</tr>
		<tr class="tr3">
			<td width="30%"><b>flash鏈接</b></td>
			<td><input type="text" class="input" size="40" name="module[link]" value="$config[link]">(當為出租廣告位時，請填寫展示圖片地址)</td>
		</tr>
		<tr class="tr3">
			<td><b>flash寬度</b></td>
			<td><input type="text" class="input" size="40" name="module[width]" value="$config[width]"></td>
		</tr>
		<tr class="tr3">
			<td><b>flash高度</b></td>
			<td><input type="text" class="input" size="40" name="module[height]" value="$config[height]"></td>
		</tr>
	</table>
</div>
<script language="JavaScript">
function getObj(id){
	return document.getElementById(id);
}
function seladtype(adtype) {
	getObj('varname').value = adtype;
	if (adtype == 'popup') {
		getObj('window').style.display = '';
		getObj('window').disabled = false;
	} else {
		getObj('window').style.display = 'none';
		getObj('window').disabled = true;
	}
	if (adtype == 'article') {
		getObj('article').style.display = '';
	} else{
		getObj('article').style.display = 'none';
	}
}
function showcode(idName) {
	var obj  = getObj("advert");
	var obj2 = getObj(idName);
	obj.innerHTML = obj2.innerHTML;
	if (document.getElementById('ifhire_1').checked == true) {
		linkChange(1);
	} else {
		linkChange(0);
	}
}
function hireChange(type) {
	if ((type-0) == 1) {
		var thistype = getObj('adstyle').value;
		getObj('hireinfo').style.display = '';
		getObj('hireinfo').disabled = false;
		optionDel('adstyle','code');
		if (thistype == 'code') {
			showcode('txt');
		} else {
			showcode(thistype);
		}
	} else {
		getObj('hireinfo').style.display = 'none';
		getObj('hireinfo').disabled = true;
		optionAdd('adstyle', 'code', '代碼')
	}
	linkChange(type);
}
function linkChange(type) {
	if ((type-0) == 1) {
		getObj('txtlink').value = '';
		getObj('txtlink').style.readOnly = true;
		getObj('txtlink').disabled = true;
		getObj('imglink').value = '';
		getObj('imglink').disabled = true;
		getObj('imglink').style.readOnly = true;
	} else {
		getObj('txtlink').disabled = false;
		getObj('txtlink').style.readOnly = false;
		getObj('imglink').disabled = false;
		getObj('imglink').style.readOnly = false;
	}
}

function optionAdd(inputname, value, title) {
	var obj = getObj(inputname);
	if (optionExist(obj,value)) {
		return false;
	}
	var length = obj.length;
	obj.options[length] = new Option(title,value);

}
function optionExist(obj,value){
	var isexit = false;
	for (var i = 0; i < obj.options.length; i++) {
		if (obj.options[i].value == value) {
			isexit = true;
			break;
		}
	}
	return isexit;
}
function optionDel(inputname,value) {
	var obj = getObj(inputname);
	for (var i = 0; i < obj.options.length; i++) {
		if (obj.options[i].value == value) {
			obj.options[i] = null;
			break;
		}
	}
}
showcode('$style');
seladtype('$adtype');
hireChange('$ifhire');
</script>
<!--
EOT;
}elseif($job=='check'){
$arr_adtype=array('txt'=>'文字','img'=>'圖片','flash'=>'flash');
$adtype = $arr_adtype[$config[style]];
$arr_varname=array('header'=>'頭部橫幅','footer'=>'底部橫幅','text'=>'文字廣告','article'=>'樓層廣告','leftfloat'=>'對聯廣告[左]','rightfloat'=>'對聯廣告[右]','float'=>'漂浮廣告','popup'=>'右下彈窗');
$varname = $arr_varname[$advert[varname]];
print <<<EOT
-->
<h2>廣告信息</h2>
<table width="100%" cellspacing="0" cellpadding="0">
	<tr class="tr3">
		<td width="30%">廣告類型︰</td>
		<td>$varname</td>
	</tr>
	<tr class="tr3">
		<td>展現方式︰</td>
		<td>$adtype</td>
	</tr>
	<tr class="tr3">
		<td>價格︰</td>
		<td>$config[price] [{$credit->cType[$config[creditype]]}]/天 *</td>
	</tr>
</table>

<br />
<h2>廣告審核</h2>
<table width="100%" cellspacing="0" cellpadding="0">
<!--
EOT;
if($config[style]=='txt' || $config[style]=='flash'){
print <<<EOT
-->
	<tr class="tr3">
		<td>用戶名</td>
		<td>文字說明</td>
		<td>鏈接地址</td>
		<td>天數</td>
		<td>審核</td>
	</tr>
<!--
EOT;
foreach($arr_buyer as $value){
$advertinfo = $value[config];
print <<<EOT
-->
	<tr class="tr3">
		<td>$value[username]</td>
		<td>$advertinfo[title]</td>
		<td>$advertinfo[link]</td>
		<td>$advertinfo[days]</td>
		<td><a href="$basename&job=check&id=$id&uid=$value[uid]&step=2">通過</a></td>
	</tr>
<!--
EOT;
}
print <<<EOT
-->
<!--
EOT;
}elseif($config[style]=='img'){
print <<<EOT
-->
	<tr><td colspan="6" class="tr4">廣告審核</td></tr>
	<tr class="tr3">
		<td>用戶名</td>
		<td>文字說明</td>
		<td>圖片地址</td>
		<td>鏈接地址</td>
		<td>天數</td>
		<td>審核</td>
	</tr>
<!--
EOT;
foreach($arr_buyer as $value){
$advertinfo = $value[config];
print <<<EOT
-->
	<tr class="tr3">
		<td>$value[username]</td>
		<td>$advertinfo[title]</td>
		<td>$advertinfo[url]</td>
		<td>$advertinfo[link]</td>
		<td>$advertinfo[days]</td>
		<td><a href="$basename&job=check&id=$id&uid=$value[uid]&step=2">通過</a></td>
	</tr>
<!--
EOT;
}
print <<<EOT
-->
<!--
EOT;
}
print <<<EOT
-->
</table>
$pages<br />
<!--
EOT;
}include_once PrintEot('adminbottom');
?>-->